import type { SpinnerSize, SpinnerColor } from '../Spinner/types';

export type ButtonProps = {
    rounded?: boolean;
    pt?: PTAttribs;
    spinerSize?: SpinnerSize;
    spinerColor?: SpinnerColor;
    spinerPlace?: spinerPlace;
    showSpiner?: boolean;
};

export type PTAttribs = {
    root?: {
        class: string;
    };
    outer?: {
        class: string;
    };
    inner?: {
        class: string;
    };
};

export type spinerPlace = 'suffix' | 'prefix';
